## TeplStatusbar TeplStatusbar — Subclass of GtkStatusbar |

## Functions

TeplStatusbar * | tepl_statusbar_new ()
void | tepl_statusbar_flash_message ()
void | tepl_statusbar_flash_generic_message ()

## Types and Values

struct | TeplStatusbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkStatusbar
                            ╰── TeplStatusbar

## Implemented Interfaces

TeplStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplStatusbar is a subclass of GtkStatusbar with additional features.

The `tepl_utils_setup_statusbar()` function is already called.

## Functions

### tepl_statusbar_new ()

    TeplStatusbar *
    tepl_statusbar_new (void);

#### Returns

a new TeplStatusbar.

[transfer floating]

Since: 6.14

### tepl_statusbar_flash_message ()

    void
    tepl_statusbar_flash_message (TeplStatusbar *statusbar,
                                  guint context_id,
                                  const gchar *msg);

Flashes a temporary message on the statusbar.

The message is displayed during a short amount of time and then disappears automatically.

#### Parameters

statusbar | a TeplStatusbar. |
context_id | a context ID obtained with `gtk_statusbar_get_context_id()`. |
msg | the message. |

Since: 6.14

### tepl_statusbar_flash_generic_message ()

    void
    tepl_statusbar_flash_generic_message (TeplStatusbar *statusbar,
                                          const gchar *msg);

Like `tepl_statusbar_flash_message()` but using a generic `context_id` .

If you need to call `gtk_statusbar_remove_all()` or `gtk_statusbar_pop()`, then use `tepl_statusbar_flash_message()` instead. Otherwise using this function is sufficient.

#### Parameters

statusbar | a TeplStatusbar. |
msg | the message. |

Since: 6.14

## Types and Values

### struct TeplStatusbar

    struct TeplStatusbar;